<?php 

if(!defined('FANCY_STOP_SPAM_INSTALL')) die();

		// Add extension options to the config table
		forum_config_add('o_fancy_stop_spam_max_links', '1');
		forum_config_add('o_fancy_stop_spam_max_guest_links', '1');

		forum_config_add('o_fancy_stop_spam_register_form_honeypot', '1');
		forum_config_add('o_fancy_stop_spam_register_form_timeout', '1');
		forum_config_add('o_fancy_stop_spam_register_form_timezone', '1');
		forum_config_add('o_fancy_stop_spam_register_form_sfs_email', '1');
		forum_config_add('o_fancy_stop_spam_register_form_sfs_ip', '1');

		forum_config_add('o_fancy_stop_spam_post_form_honeypot', '1');

		forum_config_add('o_fancy_stop_spam_check_identical_posts', '0');
		forum_config_add('o_fancy_stop_spam_check_signature', '0');
		forum_config_add('o_fancy_stop_spam_check_submit', '1');
		forum_config_add('o_fancy_stop_spam_use_logs', '0');
		forum_config_add('o_fancy_stop_spam_sfs_api_key', '');


		if (!$forum_db->table_exists('fancy_stop_spam_identical_posts'))
		{
			$schema = array(
				'FIELDS' => array(
					'id'		=> array(
						'datatype'		=> 'SERIAL',
						'allow_null'	=> false
					),
					'poster_id'			=> array(
						'datatype'		=> 'INT(10) UNSIGNED',
						'allow_null'	=> false
					),
					'post_id'	=> array(
						'datatype'		=> 'INT(10) UNSIGNED',
						'allow_null'	=> false
					),
					'post_hash' => array(
						'datatype'		=> 'VARCHAR(40)',
						'allow_null'	=> false
					),
					'posted'			=> array(
						'datatype'		=> 'INT(10) UNSIGNED',
						'allow_null'	=> false
					),
				),
				'PRIMARY KEY'	=> array('id'),
				'ENGINE'		=> 'HEAP'
			);
			$forum_db->create_table('fancy_stop_spam_identical_posts', $schema);
		}


		if (!$forum_db->table_exists('fancy_stop_spam_logs'))
		{
			$schema = array(
				'FIELDS'	=>	array(
					'id'			=> array(
						'datatype'	=> 'SERIAL',
						'allow_null'	=> false
					),
					'user_id'	=>	array(
						'datatype'	=> 'INT(10)',
						'allow_null'	=> false,
						'default'	=> '0',
					),
					'ip'	=>	array(
						'datatype'	=> 'INT(10) UNSIGNED',
						'allow_null'	=> false,
						'default'	=>	'0',
					),
					'activity_type'	=>	array(
						'datatype'	=> 'INT(10)',
						'allow_null'	=> false,
						'default'	=> '0',
					),
					'activity_time'	=>	array(
						'datatype'	=> 'INT(10) UNSIGNED',
						'allow_null'	=> false,
						'default'	=> '0',
					),
					'comment' => array(
						'datatype'		=> 'VARCHAR(255)',
						'allow_null'	=> false,
					),
				),
				'PRIMARY KEY'	=>	array('id')
			);
			$forum_db->create_table('fancy_stop_spam_logs', $schema);
		}

		// Add cache table for StopForumSpam Emails
		if (!$forum_db->table_exists('fancy_stop_spam_sfs_email_cache'))
		{
			$schema = array(
				'FIELDS'	=>	array(
					'ip'	=>	array(
						'datatype'	=> 'INT(10) UNSIGNED',
						'allow_null'	=> false,
						'default'	=>	'0',
					),
					'email'			=> array(
						'datatype'		=> 'VARCHAR(80)',
						'allow_null'	=> false
					),
					'added'	=>	array(
						'datatype'		=> 'INT(10) UNSIGNED',
						'allow_null'	=> false,
						'default'		=> '0',
					),
				),
				'PRIMARY KEY'	=>	array('email')
			);
			$forum_db->create_table('fancy_stop_spam_sfs_email_cache', $schema);
		}
		$forum_db->add_field('fancy_stop_spam_sfs_email_cache', 'ip', 'INT(10) UNSIGNED', false, 0);

		// Add cache table for StopForumSpam IPs
		if (!$forum_db->table_exists('fancy_stop_spam_sfs_ip_cache'))
		{
			$schema = array(
				'FIELDS'	=>	array(
					'ip'	=>	array(
						'datatype'	=> 'INT(10) UNSIGNED',
						'allow_null'	=> false,
						'default'	=>	'0',
					),
					'added'	=>	array(
						'datatype'		=> 'INT(10) UNSIGNED',
						'allow_null'	=> false,
						'default'		=> '0',
					),
				),
				'PRIMARY KEY'	=>	array('ip')
			);
			$forum_db->create_table('fancy_stop_spam_sfs_ip_cache', $schema);
		}

		$forum_db->add_field('users', 'fancy_stop_spam_bot', 'INT(10) UNSIGNED', false, 0);


